import dynamix_sdk.base as _base


class CloudapiComputeSnapshotRollbackResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeSnapshotRollbackProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def snapshot_rollback(
        self,
        *,
        vm_id: int,
        label: str,
    ) -> CloudapiComputeSnapshotRollbackResultBool:
        ...
